Main Page Widgets glibmm Namespaces Book

# Glib::Value_Flags< T > Class Template Reference
[Generic Values]

Base class of Glib::Value<T> specializations for flags types. More...

Inheritance diagram for Glib::Value_Flags< T >:

[legend]
List of all members.

## Public Types
typedef T | CppType
## Public Member Functions
void | set (CppType data)
CppType | get () const

## Detailed Description

### template <class T>
class Glib::Value_Flags< T >

Base class of Glib::Value<T> specializations for flags types.

## Member Typedef Documentation

template <class T>

typedef T Glib::Value_Flags<T>::CppType

## Member Function Documentation

template <class T>

void Glib::Value_Flags<T>::set | ( | CppType | data | ) | `[inline]`

template <class T>

CppType Glib::Value_Flags<T>::get | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- value.h